<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>T54.3 - zastosowanie funkcji</title>
    <link rel="stylesheet" href="../style.css">
</head>
<body>
<header>
    <h1>Zadanie T54.3</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
<p>
    Zadanie T543 <br><br>

    Napisz funkcję, która dla podanej liczby całkowitej w zakresie od 1 do 12 zwraca nazwę miesiąca w języku polskim. W przypadku podania innej wartości zwraca informację o błędzie.
</p>
</div>
<div class="box">
    <form action="index.php" method="post">
        <label for="x">Wprowadź numer miesiąca: </label><br>
        <input type="number" name="x" id="x"><br>
        <button type="submit">Wyślij</button>
    </form>
</div>
<?php
function miesiac($liczba): ?string
{
    switch ($liczba) {
        case 1:
            return "Styczeń";
        case 2:
            return "Luty";
        case 3:
            return "Marzec";
        case 4:
            return "Kwiecień";
        case 5:
            return "Maj";
        case 6:
            return "Czerwiec";
        case 7:
            return "Lipiec";
        case 8:
            return "Sierpień";
        case 9:
            return "Wrzesień";
        case 10:
            return "Październik";
        case 11:
            return "Listopad";
        case 12:
            return "Grudzień";
        default:
            return null;
    }
}
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    echo "<div class='box'>";
    $liczba = $_POST['x'];
    $miesiac = miesiac($liczba);
    if ($miesiac) {
        echo "Nazwa miesiąca: $miesiac";
    } else {
        echo "Liczba jest spoza zakresu.";
    }
    echo "</div>";
}
?>
</body>
</html>